package com.drinkertea.test2smack;

import androidx.appcompat.app.AppCompatActivity;
import androidx.core.app.NotificationCompat;
import androidx.core.app.NotificationManagerCompat;

import android.app.Notification;
import android.app.NotificationChannel;
import android.app.NotificationManager;
import android.content.Intent;
import android.os.AsyncTask;
import android.os.Build;
import android.os.Bundle;
import android.os.Handler;
import android.provider.Settings;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

import org.jivesoftware.smack.AbstractXMPPConnection;
import org.jivesoftware.smack.XMPPConnection;
import org.jivesoftware.smack.chat2.Chat;
import org.jivesoftware.smack.chat2.ChatManager;
import org.jivesoftware.smack.chat2.IncomingChatMessageListener;
import org.jivesoftware.smack.packet.Message;
import org.jivesoftware.smack.packet.Presence;
import org.jivesoftware.smack.roster.Roster;
import org.jivesoftware.smack.roster.RosterEntry;
import org.jivesoftware.smack.roster.RosterListener;
import org.jivesoftware.smack.tcp.XMPPTCPConnection;
import org.jivesoftware.smack.tcp.XMPPTCPConnectionConfiguration;
import org.jivesoftware.smackx.mam.MamManager;
import org.jivesoftware.smackx.search.ReportedData;
import org.jivesoftware.smackx.search.UserSearchManager;
import org.jivesoftware.smackx.xdata.form.Form;
import org.jxmpp.jid.EntityBareJid;
import org.jxmpp.jid.Jid;
import org.jxmpp.jid.impl.JidCreate;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;
import java.util.List;
import java.util.Timer;
import java.util.TimerTask;

public class MainActivity extends AppCompatActivity {

    TextView textView;
    public static ChatManager chatManager;
    public static AbstractXMPPConnection connection;
    public static Roster roster;



    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        textView = (TextView) findViewById(R.id.textView);


    }

    public void goToPageWithChats(View view) throws Exception{
        System.out.println("Start");
        XMPPTCPConnectionConfiguration config = XMPPTCPConnectionConfiguration.builder()
                .setXmppDomain("msg.sharix-app.org")
                .setHost("46.138.247.90")
                .build();
        System.out.println("Success config");

        connection = new XMPPTCPConnection(config);
        connection.connect();
        System.out.println("Success connection!");

        connection.login("test", "test1234@");
        chatManager = ChatManager.getInstanceFor(connection);

        System.out.println(connection.getUser());
        roster = Roster.getInstanceFor(connection);
        /*Collection<RosterEntry> entries = roster.getEntries();
        Presence presence;
        for (RosterEntry entry : entries){
            presence = roster.getPresence(entry.getJid());
            if (presence.getType().toString() == "available"){
                System.out.println(entry.getJid());
                System.out.println(presence.getType());
            }
        }
        runMessageListener();
        */
        System.out.println("Success chat connection!");
        Intent intent = new Intent(this, ChatsList.class);
        startActivity(intent);
    }

    public void testMethod(View view) {
        //createNotificationChannel();
    }


}
